import { SubscriptionServer } from 'subscriptions-transport-ws';
import { GraphQLSchema } from './meteor-graphql';
import { Observable } from './observable';
import { MeteorRequire } from './packages';
export interface GraphQLServerOptions {
    schema: GraphQLSchema;
    createContext?: (initPayload: any) => {
        [key: string]: any;
    };
    quiet?: boolean;
    graphiql?: boolean;
    graphiqlQuery?: string;
}
export interface GraphQLServerRuntime {
    server: SubscriptionServer;
    graphqlUrl: string;
    graphiqlUrl?: string;
}
export declare function runGraphQLServer(mRequire: MeteorRequire, options: GraphQLServerOptions): Observable<GraphQLServerRuntime>;
